Subject: Re: ppc_4xx uImage - kernel boot problem

From: Detlev Zundel <[email-masked]>
Date: Fri, 25 Apr 2008 15:37:11 +0200

Hi Ayhan,

> I have an AMCC 405gp board on which runs u-boot. I try to boot the Linux Kernel
> via network but can not. I download uImage using DHCPD/TFTP. Here is the 
> minicom console output:
>
>
> Type "run flash_nfs" to mount root filesystem over NFS
>
> Hit any key to stop autoboot:  0
> ENET Speed is 100 Mbps - FULL duplex connection (EMAC0)
> Using ppc_4xx_eth0 device
> TFTP from server 192.168.1.210; our IP address is 192.168.1.220
> Filename 'uImage'.
> Load address: 0x200000
> Loading: #################################################################
>          ###############
> done
> Bytes transferred = 1167936 (11d240 hex)
> ## Booting image at 00200000 ...
>    Image Name:   Linux-2.6.25-rc7-00000-ga1ba6f0
>    Created:      2008-04-07  12:32:44 UTC
>    Image Type:   PowerPC Linux Kernel Image (gzip compressed)
>    Data Size:    1167872 Bytes =  1.1 MB
>    Load Address: 00000000
>    Entry Point:  00000000
>    Verifying Checksum ... OK
>    Uncompressing Kernel Image ... OK
>
>
> Here the console is frozen. It's the point where u-boot ends up and the kernel
> code starts. I think I have a mistake in addressing. I don't have sufficient
> knowledge about uImage format and the kernel compilation process. I followed
> the steps through the ELDK documantation from DENX software for cross-compiling
> the linux kernel as below:    
>
>       bash$ make mrproper
>       bash$ make ARCH=ppc CROSS_COMPILE=ppc_4xx- walnut_defconfig
>       bash$ make ARCH=ppc CROSS_COMPILE=ppc_4xx- uImage
>
> Could anyone help me solving the boot problem?

Very likely your kernel is booting, but you do not have specified a
serial console, so you do not see any output.

Can you show us the exact sequence of commands booting the kernel,
i.e. especially show us the bootargs U-Boot variable.

You can also try the post mortem log buffer examination[1] to see what
kernel messages were generated.

Cheers
  Detlev

[1] http://www.denx.de/wiki/view/DULG/LinuxPostMortemAnalysis

-- 
Greenspun's Tenth Rule of Programming: "Any sufficiently complicated C
or Fortran program contains an ad-hoc, informally-specified bug-ridden
slow implementation of half of Common Lisp."
--
DENX Software Engineering GmbH,      MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich,  Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-40 Fax: (+49)-8142-66989-80 Email: [email-masked]